Nagios Bug and Feature Tracker

All issues moved to NagiosEnterprises Github

Bug and Feature Tracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000522 [Nagios Core] Web Interface minor always 2013-10-25 10:18 2016-09-07 13:57
Reporter romerowv View Status public  
Assigned To nagios_staff
Priority normal Resolution fixed  
Status resolved   Product Version 3.4.3
Summary 0000522: when in map view, parents define objects/servers do not show up on the map.
Description this bug report is for NAGIOS CORE 4.0 (not a version i can select on the pull down menu)

after upgrading to version 4.0, map only shows objects that do not have the parents definition. if i define the parents, it will not show the object anymore. parents/child not parsing showing correctly.

this object will not show up:
define host{
use windows-server ;Inherit default valus from template
host_name DOCX ;the name we're giving to this host
alias DOCX(Sophos VM-Server) ;a longer name associated with the host
address 192.168.1.35 ;IP address of the host
parents SARAH ;who is the parent VMWARE host
check_command check-host-alive
check_interval 5
retry_interval 1
max_check_attempts 5
check_period 24x7
contact_groups admins
notification_interval 30
notification_period 24x7
notification_options d,u,r
icon_image sme-vmware.png
statusmap_image sme-vmware.gd2
}

if i take out the parents definition, it will show up on the map.
Additional Information
Tags No tags attached.
Nagios Version 4.0
OS Oracle Linux Server release 5.10
OS Version Linux nagios 2.6.39-400.209.1.el5uek 0000001 SMP Tue Sep 10 20:33:17 PDT 2013 x86_64 x86_64 x86_64 GNU/Linux
Attached Files

- Relationships

-  Notes
(0001056)
romerowv (reporter)
2013-12-04 11:54

upgrading from 4.0 to 4.0.2 fixed the issue. you can closed this case now.
(0001646)
jfrickson (manager)
2016-09-07 13:57

Closing per message from original reporter.

- Issue History
Date Modified Username Field Change
2013-10-25 10:18 romerowv New Issue
2013-10-25 10:18 romerowv Nagios Version => 4.0
2013-10-25 10:18 romerowv OS => Oracle Linux Server release 5.10
2013-10-25 10:18 romerowv OS Version => Linux nagios 2.6.39-400.209.1.el5uek 0000001 SMP Tue Sep 10 20:33:17 PDT 2013 x86_64 x86_64 x86_64 GNU/Linux
2013-12-04 11:54 romerowv Note Added: 0001056
2015-09-25 12:15 jfrickson Status new => assigned
2015-09-25 12:15 jfrickson Assigned To => nagios_staff
2016-09-07 13:57 jfrickson Note Added: 0001646
2016-09-07 13:57 jfrickson Status assigned => resolved
2016-09-07 13:57 jfrickson Fixed in Version => 4.0.3
2016-09-07 13:57 jfrickson Resolution open => fixed


Mantis 1.1.7[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker